## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           btrfs-backup-ng
Version:        0.6.8
Release:        %autorelease
Summary:        Intelligent, feature-rich backups for btrfs

License:        MIT
URL:            https://github.com/berrym/btrfs-backup-ng
Source:         %{pypi_source btrfs_backup_ng}

BuildArch:      noarch
BuildRequires:  python3-devel

Requires:    btrfs-progs


%description
btrfs-backup-ng is a command line  utility for creating atomic, incremental,
intelligent, feature-rich backups for *btrfs* using *snapshots* and
*send/receive* between filesystems. Think of it as a basic version
of Time Machine. Backups can be stored locally and/or remotely (e.g. via SSH).
Multi-target setups are supported as well as dealing with transmission
failures (e.g. due to network outage).


%prep
%autosetup -p1 -n btrfs_backup_ng-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l btrfs_backup_ng


%check
%pyproject_check_import


%files -n btrfs-backup-ng -f %{pyproject_files}
%doc README.md
%{_bindir}/btrfs-backup-ng

%changelog
## START: Generated by rpmautospec
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.6.8-2
- Rebuilt for Python 3.14

* Tue May 13 2025 Michael Berry <trismegustis@gmail.com> - 0.6.8-1
- Update to v0.6.8. Bug fixes and refactored to reduce cyclomatic
  complexity.

* Sun May 11 2025 Michael Berry <trismegustis@gmail.com> - 0.6.6-1
- local build

* Thu Jan 23 2025 Michael Berry <trismegustis@gmail.com> - 0.6.5-1
- Update to v0.6.5

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Sep 13 2024 Michael Berry <trismegustis@gmail.com> - 0.6.4-2
- Use autospec macros for spec file

* Thu Sep 12 2024 Michael Berry <trismegustis@gmail.com> - 0.6.4-1
- Fixed duplicated log messages -v0.6.4

* Wed Sep 11 2024 Michael Berry <trismegustis@gmail.com> - 0.6.3-3
- Updated README.md

* Tue Sep 10 2024 Michael Berry <trismegustis@gmail.com> - 0.6.3-2
- Upstream README.md

* Tue Sep 10 2024 Michael Berry <trismegustis@gmail.com> - 0.6.3-1
- Initial import (fedora#2305930).
## END: Generated by rpmautospec
